Search found 30 matches

by lsmoker
Tue Jun 22, 2021 12:49 pm
Forum: General topics
Topic: upgrade process using docker-compose
Replies: 3
Views: 1261

Re: upgrade process using docker-compose

PostgreSQL is now our recommended database manager
Whoa. What does this mean for MySQL/MariaDB?
by lsmoker
Fri Jun 11, 2021 1:52 pm
Forum: Issues or Errors
Topic: DocumentVersion timestamp updated during migration 4.0.5/pip install
Replies: 2
Views: 205

DocumentVersion timestamp updated during migration 4.0.5/pip install

When migrating my db (mariadb) from 2.7.4 to 4.0.5, the timestamp field in the DocumentVersion model is updated to the current app server time. Is this intentional? It means that I lose the date that a document version was really created in the 2.7.4 version of mayan. Having the original date is ver...
by lsmoker
Tue Jun 08, 2021 7:15 pm
Forum: General topics
Topic: Broken preview of a PDF document
Replies: 3
Views: 1097

Re: Broken preview of a PDF document

I might implement a bash shell wrapper to work around the bug in pdftoppm. I created a script /usr/local/bin/pdftoppm.sh... #!/bin/bash # shell wrapper script to process a pdf with Imagemagick's "convert" command # if poppler-utils "pdftoppm" command cannot handle the PDF /usr/bin/pdftoppm $* if [ $...
by lsmoker
Wed May 26, 2021 1:25 pm
Forum: Issues or Errors
Topic: pdftoppm error on 4.0.2 pip install/Debian 10.9
Replies: 1
Views: 223

pdftoppm error on 4.0.2 pip install/Debian 10.9

Getting this error when uploading a document: [2021-05-25 17:54:13,131: ERROR/ForkPoolWorker-3] Error creating document file page cache file from document file intermediate file. Expected file named "base_image" failed to be created; RAN: /usr/bin/pdftoppm -jpeg -r 300 /opt/mayan-edms/media/tmp/tmp4...
by lsmoker
Thu Apr 15, 2021 3:20 pm
Forum: Issues or Errors
Topic: Error in performupgrade migration to 4.0rc1 (MySQL/MariaDB)
Replies: 3
Views: 430

Re: Error in performupgrade migration to 4.0rc1 (MySQL/MariaDB)

Another error: Applying duplicates.0001_initial... OK CommandError: Error during signal_pre_upgrade signal: 'NoneType' object is not subscriptable, <class 'TypeError'> Applying duplicates.0002_auto_20201130_0342...(mayan-edms) Edit: My workaround for this error was to delete all rows from the "docum...
by lsmoker
Thu Apr 15, 2021 2:42 pm
Forum: Issues or Errors
Topic: Error in performupgrade migration to 4.0rc1 (MySQL/MariaDB)
Replies: 3
Views: 430

Error in performupgrade migration to 4.0rc1 (MySQL/MariaDB)

MySQL/MariaDB doesn't like double-quotes around identifier names (expects backticks or nothing)... Operations to perform: Apply all migrations: acls, actstream, admin, announcements, appearance, auth, authtoken, autoadmin, cabinets, checkouts, common, contenttypes, converter, django_celery_beat, dja...
by lsmoker
Thu Mar 25, 2021 1:48 pm
Forum: Issues or Errors
Topic: Problem in 3.5.6 performupgrade in file_caching migration [FIXED]
Replies: 3
Views: 442

Re: Problem in 3.5.6 performupgrade in file_caching migration

The actual error is this... Applying file_caching.0004_auto_20200309_0922... OK CommandError: Error during signal_pre_upgrade signal: (1064, 'You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'."name",\n "file_cac...
by lsmoker
Wed Mar 24, 2021 2:08 pm
Forum: Issues or Errors
Topic: Problem in 3.5.6 performupgrade in file_caching migration [FIXED]
Replies: 3
Views: 442

Problem in 3.5.6 performupgrade in file_caching migration [FIXED]

I ran into a problem after running "performupgrade" in 3.5.6 (pip install) on a 2.7.4 database. It looks like the migrations did not run for the user_management and web_links apps so the user_management_useroptions, web_links_weblink, and web_links_weblink_document_types tables were not created (alp...